/*
 * Hello.java
 *
 */

package com.companyname.cartridge.hello.pipelet;


import com.intershop.beehive.core.pipeline.Pipelet;
import com.intershop.beehive.core.pipeline.PipelineDictionary;
import com.intershop.beehive.core.pipeline.PipelineInitializationException;

import com.intershop.beehive.core.util.FWLogger;
import com.intershop.beehive.core.util.FWHashtable;

/*
import com.intershop.beehive.core.common.IRegistry;
import com.intershop.beehive.core.common.Registry;
import com.intershop.beehive.core.common.Domain;

import com.companyname.cartridge.sample.ejb.Counter;
import com.companyname.cartridge.sample.ejb.CounterHome;
import com.companyname.cartridge.sample.ejb.CounterKey;

import javax.ejb.FinderException;
import javax.ejb.CreateException;
*/

import java.rmi.RemoteException;


/**
 * This pipelet increments the counter defined in 
 * the pipeline configuration.
 *   
 */
public class Hello extends Pipelet
{
    /**
     * The text of the pipelet.
     */
    protected String text;

    /**
     * Initialize the pipelet.
     * This method is called after the pipelet was instantiated and
     * the configuration values were set. 
     *
     * @exception   com.intershop.beehive.core.pipeline.PipelineInitializationException
     *              if the pipelet initialization fails
     */
    public void init() throws PipelineInitializationException
    {
        // Get the Text key from the pipline configuration
        FWHashtable pipeletConfiguration = getConfiguration();
        this.text = (String)pipeletConfiguration.get("Text");
 
        if( this.text == null )
        {
            throw new PipelineInitializationException(
              "Could not get Text key from the pipelet configuration.");
        }
    }

    /**
     * Increment the counter defined by the counter key.
     *
     * @param   pipelineDictionary    The pipeline dictionary.
     */
    public int execute( PipelineDictionary pipelineDictionary )
    {
        pipelineDictionary.put( "HelloText", this.text );
        return PIPELET_NEXT;
    }
}