/**
 * HelloCartridge.java
 *
 */
package com.companyname.cartridge.hello;


import com.intershop.beehive.core.cartridge.Cartridge;
import com.intershop.beehive.core.util.FWLogger;
import com.intershop.beehive.core.common.IRegistry;
import com.intershop.beehive.core.common.Registry;
import com.intershop.beehive.core.license.License;
import java.util.GregorianCalendar;
import java.lang.Integer;
import com.intershop.beehive.tools.dbinit.DBInit;
import java.rmi.RemoteException;

/**
 * A hello world cartridge implementation.
 *
 */
public class HelloCartridge extends Cartridge
{
    /**
     * A test method implementation of onPreStartup
     *
     * @return  true if succeeded, false otherwise
     */
    public boolean onPreStartup()
    {
        super.onPreStartup();
        
        FWLogger.logMessage(FWLogger.DEBUG, "core.StdInfo1",
                            "HelloCartridge.onPreStartup()");

        return true;
    }

    /**
     * A test method implementation of onPowertierInit
     *
     * @return  true if succeeded, false otherwise
     *
     */
    public boolean onPowertierInit()
    {
        super.onPowertierInit();

        FWLogger.logMessage(FWLogger.DEBUG, "core.StdInfo1", 
                            "HelloCartridge.onPowertierInit()");
        
        return true;
    }

    /**
     * A test method implementation of onPostStartup
     *
     * @return  true if succeeded, false otherwise
     */
    public boolean onPostStartup()
    {
        super.onPostStartup();
        
        FWLogger.logMessage(FWLogger.DEBUG, 
        "core.StdInfo1", "HelloCartridge.onPostStartup()");

        return true;
    }

    /**
     * A test method implementation of shutdown
     *
     * @return  true if succeeded, false otherwise
     */
    public boolean shutdown()
    {
        super.shutdown();

        FWLogger.logMessage(FWLogger.DEBUG, 
        "core.StdInfo1", "HelloCartridge.shutdown()");      
        
        return true;
    }
    
    /**
     * This method is called in order to check the license of the cartridge
     *
     *
     * @param aLicense the license to check
     *
     * @return  true  - if the license is valid
     *          false - if the license is not valid
     *  
     */

    public boolean checkLicense(License aLicense)
    {
        return true;
        
    }


    /**
     * A test method implementation of onDBInit
     *
     * @return  true if succeeded, false otherwise
     */
    public boolean onDBInit(DBInit aDBInit)
    {
        super.onDBInit( aDBInit);

        return true;
    }
}